package intrinsic.flash.events;

public class NetFilterEvent extends intrinsic.flash.events.Event {

	/** Accessors */

	/** Variables */
	public intrinsic.flash.utils.ByteArray data;
	public intrinsic.flash.utils.ByteArray header;

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public NetFilterEvent() {
}

public NetFilterEvent(String arg0) {
}

public NetFilterEvent(String arg0, boolean arg1) {
}

public NetFilterEvent(String arg0, boolean arg1, boolean arg2) {
}

public NetFilterEvent(String arg0, boolean arg1, boolean arg2, intrinsic.flash.utils.ByteArray arg3) {
}

public NetFilterEvent(String arg0, boolean arg1, boolean arg2, intrinsic.flash.utils.ByteArray arg3, intrinsic.flash.utils.ByteArray arg4) {
}


/** Static Methods */

/** Methods */
public native String toString();
public native Object clone();

}
